Bug 1251650 - gnuradio-3.7.8 is available
gnuradio-3.7.8 is available
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnuradio (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-08 08:12 EDT by Upstream Release Monitoring
Modified: 2015-09-03 10:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.3.2-12.fc23
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-13 09:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2015-08-08 08:12:04 EDT
Latest upstream release: 3.7.8
Current version/release in rawhide: 3.7.8-0.2.rc1.fc24
URL: http://gnuradio.org/releases/gnuradio/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 1 Upstream Release Monitoring 2015-08-08 08:12:28 EDT
Failed to kick off scratch build.

list index out of range
Comment 2 Upstream Release Monitoring 2015-08-12 13:11:08 EDT
jskarvad's gnuradio-3.7.8-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=677031
Comment 3 Fedora Update System 2015-08-14 19:36:23 EDT
gnuradio-3.7.8-1.fc23,gr-rds-0-0.12.20141117gitff1ca15.fc23,gr-osmosdr-0.1.3-11.20141023git42c66fdd.fc23,gr-iqbal-0.37.2-12.fc23,gr-fcdproplus-0-0.15.20140920git1edbe523.fc23,gr-air-modes-0-0.38.20140312gitcc0fa180.fc23,gqrx-2.3.2-12.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/gnuradio-3.7.8-1.fc23,gr-rds-0-0.12.20141117gitff1ca15.fc23,gr-osmosdr-0.1.3-11.20141023git42c66fdd.fc23,gr-iqbal-0.37.2-12.fc23,gr-fcdproplus-0-0.15.20140920git1edbe523.fc23,gr-air-modes-0-0.38.20140312gitcc0fa180.fc23,gqrx-2.3.2-12.fc23
Comment 4 Fedora Update System 2015-09-03 06:04:36 EDT
gnuradio-3.7.8-1.fc23, gqrx-2.3.2-12.fc23, gr-air-modes-0-0.38.20140312gitcc0fa180.fc23, gr-fcdproplus-0-0.15.20140920git1edbe523.fc23, gr-iqbal-0.37.2-12.fc23, gr-osmosdr-0.1.3-11.20141023git42c66fdd.fc23, gr-rds-0-0.12.20141117gitff1ca15.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Felix Kaiser 2015-09-03 09:59:53 EDT
Could you build it for FC22 too?

(I just tried to build gnuradio/uhd/gr-osmosdr/gr-iqbal/gr-fcdprotoplus locally.
For some reason, rpmbuild recognized /bin/python2 as a dependency, which prevented an installation (=> "Error: nothing provides /bin/python2 needed by gr-osmosdr-0.1.3-5.20141023git42c66fdd.fc22.x86_64", same for gnuradio package), so I filtered that out, which gave me installable packages. Unfortunately, gnuradio-companion now segfaults somewhere in Cairo. Any idea what I could try to get it running on F22? There's a new feature in 3.7.8 I'd really like to use.)
Comment 6 Jaroslav Škarvada 2015-09-03 10:18:05 EDT
(In reply to Felix Kaiser from comment #5)
> Could you build it for FC22 too?
> 
GNURadio rebases are tricky. Even in f23 it didn't go right and currently it's broken and it will require some effort to fix it. We shouldn't break/change API/ABI through stable release, so I am not going to rebase it in f22.

> (I just tried to build gnuradio/uhd/gr-osmosdr/gr-iqbal/gr-fcdprotoplus
> locally.
> For some reason, rpmbuild recognized /bin/python2 as a dependency, which
> prevented an installation (=> "Error: nothing provides /bin/python2 needed
> by gr-osmosdr-0.1.3-5.20141023git42c66fdd.fc22.x86_64", same for gnuradio
> package),
>
No idea, I have never encountered this. You can try building in clean environment, e.g. in mock.

> so I filtered that out, which gave me installable packages.
> Unfortunately, gnuradio-companion now segfaults somewhere in Cairo. Any idea
> what I could try to get it running on F22? There's a new feature in 3.7.8
> I'd really like to use.)
>
No idea. It's one more reason why to avoid rebases in stable release if not absolutely necessary.
Comment 7 Felix Kaiser 2015-09-03 10:29:00 EDT
Too bad; I didn't expect things to be so brittle that minor updates couldn't be done :|  Thanks for the quick reply though!

Note You need to log in before you can comment on or make changes to this bug.